
"""Check members.

This script checks if a user is a member of a list.

This script is intended to be run as a bin/withlist script, i.e.
Without any options, it shows members whose deliver is disabled.

% bin/withlist -r check_member listname address

Written by Xueshan Feng <sfeng@stanford.edu>

"""

import sys
import getopt

import paths
from Mailman import MemberAdaptor

def check_member(mlist, address):
    if  mlist.isMember(address):
        sys.exit(0)
    sys.exit(1)


if __name__ == '__main__':
    usage(0)
